Loading...
Searching...
No Matches
MeshAttrTransfer Class Reference

`#include <openvdb_houdini/AttributeTransferUtil.h>`

## Public Types

using | IterRange = openvdb::tree::IteratorRange<openvdb::Int32Tree::LeafCIter>

## Public Member Functions

| MeshAttrTransfer (AttributeDetailList &pointAttributes, AttributeDetailList &vertexAttributes, AttributeDetailList &primitiveAttributes, const openvdb::Int32Grid &closestPrimGrid, const openvdb::math::Transform &transform, const GU_Detail &meshGdp)
| MeshAttrTransfer (const MeshAttrTransfer &other)
| ~MeshAttrTransfer ()
void | runParallel ()
| Main calls.
void | runSerial ()
void | operator() (IterRange &range) const

## Member Typedef Documentation

## IterRange

using IterRange = openvdb::tree::IteratorRange<openvdb::Int32Tree::LeafCIter>

## Constructor & Destructor Documentation

## MeshAttrTransfer() [1/2]

MeshAttrTransfer | ( | AttributeDetailList & | pointAttributes,
|  | AttributeDetailList & | vertexAttributes,
|  | AttributeDetailList & | primitiveAttributes,
|  | const openvdb::Int32Grid & | closestPrimGrid,
|  | const openvdb::math::Transform & | transform,
|  | const GU_Detail & | meshGdp )

inline

## MeshAttrTransfer() [2/2]

MeshAttrTransfer | ( | const MeshAttrTransfer & | other | ) |

inline

## ~MeshAttrTransfer()

~MeshAttrTransfer | ( |  | ) |

inline

## Member Function Documentation

## operator()()

void operator() | ( | IterRange & | range | ) | const

inline

## runParallel()

void runParallel | ( |  | ) |

inline

Main calls.

## runSerial()

void runSerial | ( |  | ) |

inline